
darktable - Camera Support #12329

Support for Canon EOS 4000D

09/18/2018 03:22 PM - Oliver Gutierrez

Status: Fixed Start date: 09/18/2018

Priority: Low Due date:  

Assignee: Roman Lebedev % Done: 100%

Category: General Estimated time: 0.00 hour

Target version: 2.6.0   

Affected Version: git master branch   

Description

Right now, darktable is not able to load RAW files from this camera. It is not able to get white balance information.

Sample sent to https://raw.pixls.us/getfile.php/2762/nice/Canon%20-%20Canon%20EOS%204000D%20-%20RAW%20(3:2).CR2

If you need anything else please, contact me.

Related issues:

Duplicates darktable - Camera Support #12156: Canon EOS 4000D Duplicate 04/26/2018

Associated revisions

Revision 7cca915e - 09/18/2018 07:06 PM - Roman Lebedev

Canon EOS 4000D color matrix. Refs. #12329, Refs. #12156

Revision 4cefd24c - 09/18/2018 07:29 PM - Roman Lebedev

RawSpeed submodule update. Canon EOS 4000D, Olympus SH-2 camera support.

Fixes #12329.

Refs. #12156

History

#1 - 09/18/2018 03:29 PM - Roman Lebedev

- Duplicates Camera Support #12156: Canon EOS 4000D added

#2 - 09/18/2018 03:29 PM - Roman Lebedev

- Status changed from New to Duplicate

#3 - 09/18/2018 03:30 PM - Roman Lebedev

- Affected Version changed from 2.4.4 to git master branch

- Tracker changed from Bug to Camera Support

- Status changed from Duplicate to Incomplete

- % Done changed from 0 to 20

Oliver Gutierrez wrote:

Right now, darktable is not able to load RAW files from this camera. It is not able to get white balance information.

Sample sent to https://raw.pixls.us/getfile.php/2762/nice/Canon%20-%20Canon%20EOS%204000D%20-%20RAW%20(3:2).CR2

 

Thanks!
https://raw.pixls.us/getfile.php/2762/nice/Canon%20-%20Canon%20EOS%204000D%20-%20RAW%20(3:2).CR2
If you need anything else please, contact me.

 

Please take one slightly overexposed raw shoot per each ISO level you can set on that camera,

including all sub-iso levels, and extended low/high iso if any, pack them into one archive,

upload them somewhere, e.g. dropbox, and post the link.

I'll take it over from there.

#4 - 09/18/2018 03:32 PM - Roman Lebedev

- Assignee set to Roman Lebedev

#5 - 09/18/2018 05:48 PM - Oliver Gutierrez

The files are packed in this file:

https://drive.google.com/file/d/1zh_1Fzm1GmH7d4a6CIAW8kNqgd12GVK5/view?usp=sharing

They go from ISO 100 to ISO 12800 (12800 = H mode enabled in custom parameters).

They were overexposed to 2 light points of the camera light metering scale.

Do you need something else?

#6 - 09/18/2018 07:29 PM - Roman Lebedev

- Status changed from Incomplete to In Progress

- % Done changed from 20 to 50

#7 - 09/18/2018 08:04 PM - Roman Lebedev

- Status changed from In Progress to Fixed

- % Done changed from 50 to 100

Applied in changeset darktable|4cefd24c3a4240de8c96ff20ffd74c35e5c5a287.

#8 - 09/21/2018 09:54 PM - Roman Lebedev

- Target version set to 2.6.0

Powered by TCPDF (www.tcpdf.org)

01/20/2019 2/2

https://drive.google.com/file/d/1zh_1Fzm1GmH7d4a6CIAW8kNqgd12GVK5/view?usp=sharing
https://redmine.darktable.org/projects/darktable/repository/revisions/4cefd24c3a4240de8c96ff20ffd74c35e5c5a287
http://www.tcpdf.org

